import { Jumbo } from '../jumbo';
export declare class TokenHandler {
    private readonly jumbo;
    private readonly username;
    private readonly password;
    private jumboToken?;
    Ready: Promise<any>;
    constructor(jumbo: Jumbo, username: string, password: string);
    /**
     * Function that can be called to generate token (if there is no token yet)
     */
    private generateToken;
    /**
     * Function that is used to login to Jumbo and get a token
     */
    private login;
    /**
     * Simple function that returns the token (assuming it exists)
     */
    getToken(): string;
}
