import { Headers, Query } from '../jumbo';
import { JumboObject } from '../base/jumboObject';
import { PromotionModel } from './promotionModel';
export declare class Promotion extends JumboObject {
    /**
     * Get all promotions from a given store (by ID)
     * @param storeId Store ID
     */
    getPromotionsFromStore(storeId: number, headers?: Headers, query?: Query): Promise<PromotionModel>;
}
