import { JumboObject } from '../base/jumboObject';
import { Query, Headers } from '../jumbo';
import { CategoryModel } from './categoryModel';
export declare class Category extends JumboObject {
    /**
     * Get category from category ID
     * @param categoryId Category ID
     */
    getCategoryFromId(categoryId: number, headers?: Headers, query?: Query): Promise<CategoryModel>;
}
